//These functions are imported from rops

//Send a packet to the RO server
//	first a pointer to the buffer holding the packet
//	second param is total packet len
//	ex third param is time to send in milliseconds (ex: time=500, would send it 500ms later)
int (WINAPI *SendPacket)(const LPBYTE, int) = NULL;
int (WINAPI *SendPacketEx)(const LPBYTE, int, int) = NULL;

//Send a packet to the RO client
int (WINAPI *RecvPacket)(const LPBYTE, int) = NULL;
int (WINAPI *RecvPacketEx)(const LPBYTE, int, int) = NULL;

//Get a packet length, works for both recv/send lengths
//	length of 1 means you tell the length after the packet header <WORD packetId> <WORD len> <other info>
WORD (WINAPI *PacketLen)(WORD) = NULL;

//Search for a string in a string
//	Returns number of instances found
//	Code Example:
/*
		int mpLen=10;
		intptr_t *msgPos=(intptr_t*)malloc(sizeof(int)*mpLen);
		int matches=StrSearch(" : ", 3, text, 27, msgPos, mpLen);

		text+msgPos[0] is the position of the first match in the string 
*/
//int StrSearch(char* needle, int needleLen, char* haystack, int haystackLen, int* ptr, int ptrLen);
int (WINAPI *StrSearch)(char*, int, char*, int, intptr_t*, int);

//StrSearchI works like StrSearch except it's case insensitive for the haystack.  
//!!Needle is assumed to be lower case for performance reasons
//int StrSearchI(char* needle, int needleLen, char* haystack, int haystackLen, int* ptr, int ptrLen);
int (WINAPI *StrSearchI)(char*, int, char*, int, intptr_t*, int);

//ParseConfig tells rops to parse a config file in the Module\ directory
//	bool ParseConfig(void* callback, char* fileName)
bool (WINAPI *ParseConfig)(void*, char*);

//AreTool GetVar/SetVar support (DWORD? Seems more likely to be a ptr)
void* (WINAPI *GetVariable)(LPCTSTR) = NULL;
void* (WINAPI *SetVariable)(LPCTSTR, void*) = NULL;